# net.c File Reference

## Data Structures
struct | Socket
## Functions
int | sceNetResolverCreate (int *rid, void *buf, SceSize buflen)
int | sceNetResolverStartNtoA (int rid, const char *hostname, u32 *in_addr, unsigned int timeout, int retry)
int | sceNetResolverStartAtoN (int rid, const u32 *in_addr, char *hostname, SceSize hostname_len, unsigned int timeout, int retry)
int | sceNetResolverStop (int rid)
int | sceNetInetInetAton (const char *host, u32 *in_addr)
static void | netInit (void)
static void | netTerm (void)
static int | netDialog ()
static int | connectTo (int connectNum)
static int | Wlan_init (lua_State *L)
static int | Wlan_term (lua_State *L)
static int | Wlan_getIPAddress (lua_State *L)
| UserdataStubs (Socket, Socket *)
unsigned short | htons (unsigned short wIn)
static int | setSockNoBlock (SOCKET s, u32 val)
void | ShowMessageDialog (const char *message, int enableYesno)
static int | Socket_connect (lua_State *L)
static int | Socket_isConnected (lua_State *L)
static int | Socket_createServerSocket (lua_State *L)
static int | Socket_accept (lua_State *L)
static int | Socket_recv (lua_State *L)
static int | Socket_send (lua_State *L)
static int | Socket_close (lua_State *L)
static int | Socket_tostring (lua_State *L)
static int | Socket_connect_udp (lua_State *L)
static int | Socket_recv_udp (lua_State *L)
static int | Socket_send_udp (lua_State *L)
static int | Adhoc_init (lua_State *L)
static int | Adhoc_term (lua_State *L)
static int | adhoc_Connect (lua_State *L)
static int | adhoc_GetState (lua_State *L)
static int | adhoc_sendPDP (lua_State *L)
static int | adhoc_recvPDP (lua_State *L)
static int | adhoc_getMac (lua_State *L)
| UserdataRegister (Socket, Socket_methods, Socket_meta)
void | net_init (lua_State *L)
## Variables
static const char * | wlanNotInitialized = "WLAN not initialized."
static int | wlanInitialized = 0
static char | resolverBuffer [1024 *10]
static int | resolverId
static int | isconnected = 1
static bool | adhocInitialized = 0
static bool | adhocConnected = 0
static const luaL_reg | Socket_methods []
static const luaL_reg | Socket_meta []
static const luaL_reg | Adhoc_functions []

## Function Documentation

static int adhoc_Connect | ( | lua_State * | L | ) | `[static]`

static int adhoc_getMac | ( | lua_State * | L | ) | `[static]`

static int adhoc_GetState | ( | lua_State * | L | ) | `[static]`

static int Adhoc_init | ( | lua_State * | L | ) | `[static]`

static int adhoc_recvPDP | ( | lua_State * | L | ) | `[static]`

static int adhoc_sendPDP | ( | lua_State * | L | ) | `[static]`

static int Adhoc_term | ( | lua_State * | L | ) | `[static]`

static int connectTo | ( | int | connectNum | ) | `[static]`

unsigned short htons | ( | unsigned short | wIn | ) |

void net_init | ( | lua_State * | L | ) |

static int netDialog | ( |  | ) | `[static]`

static void netInit | ( | void |  | ) | `[static]`

static void netTerm | ( | void |  | ) | `[static]`

int sceNetInetInetAton | ( | const char * | host,
|  | u32 * | in_addr |
| ) |  |  |

int sceNetResolverCreate | ( | int * | rid,
|  | void * | buf,
|  | SceSize | buflen |
| ) |  |  |

int sceNetResolverStartAtoN | ( | int | rid,
|  | const u32 * | in_addr,
|  | char * | hostname,
|  | SceSize | hostname_len,
|  | unsigned int | timeout,
|  | int | retry |
| ) |  |  |

int sceNetResolverStartNtoA | ( | int | rid,
|  | const char * | hostname,
|  | u32 * | in_addr,
|  | unsigned int | timeout,
|  | int | retry |
| ) |  |  |

int sceNetResolverStop | ( | int | rid | ) |

static int setSockNoBlock | ( | SOCKET | s,
|  | u32 | val |
| ) |  |  | `[static]`

void ShowMessageDialog | ( | const char * | message,
|  | int | enableYesno |
| ) |  |  |

static int Socket_accept | ( | lua_State * | L | ) | `[static]`

static int Socket_close | ( | lua_State * | L | ) | `[static]`

static int Socket_connect | ( | lua_State * | L | ) | `[static]`

static int Socket_connect_udp | ( | lua_State * | L | ) | `[static]`

static int Socket_createServerSocket | ( | lua_State * | L | ) | `[static]`

static int Socket_isConnected | ( | lua_State * | L | ) | `[static]`

static int Socket_recv | ( | lua_State * | L | ) | `[static]`

static int Socket_recv_udp | ( | lua_State * | L | ) | `[static]`

static int Socket_send | ( | lua_State * | L | ) | `[static]`

static int Socket_send_udp | ( | lua_State * | L | ) | `[static]`

static int Socket_tostring | ( | lua_State * | L | ) | `[static]`

UserdataRegister | ( | Socket | ,
|  | Socket_methods | ,
|  | Socket_meta |  |
| ) |  |  |

UserdataStubs | ( | Socket | ,
|  | Socket * |  |
| ) |  |  |

static int Wlan_getIPAddress | ( | lua_State * | L | ) | `[static]`

static int Wlan_init | ( | lua_State * | L | ) | `[static]`

static int Wlan_term | ( | lua_State * | L | ) | `[static]`

## Variable Documentation

const luaL_reg Adhoc_functions[]`[static]`

Initial value:

     {
            {"init", Adhoc_init},
            {"connect", adhoc_Connect},
            {"getState", adhoc_GetState},
            {"send", adhoc_sendPDP},
            {"recv", adhoc_recvPDP},
            {"term", Adhoc_term},
            {"getMac", adhoc_getMac},
            {0, 0}
    }

bool adhocConnected = 0`[static]`

bool adhocInitialized = 0`[static]`

int isconnected = 1`[static]`

char resolverBuffer[1024 *10]`[static]`

int resolverId`[static]`

const luaL_reg Socket_meta[]`[static]`

Initial value:

     {
            {"__gc", Socket_free},
            {"__tostring", Socket_tostring},
            {0,0}
    }

const luaL_reg Socket_methods[]`[static]`

Initial value:

     {
            {"connect", Socket_connect},
            {"createServerSocket", Socket_createServerSocket},
            {"udpConnect", Socket_connect_udp},
            {"isConnected", Socket_isConnected},
            {"accept", Socket_accept},
            {"send", Socket_send},
            {"recv", Socket_recv},
            {"close", Socket_close},
            {"udpRecv", Socket_recv_udp},
            {"udpSend", Socket_send_udp},
            {0,0}
    }

int wlanInitialized = 0`[static]`

const char* wlanNotInitialized = "WLAN not initialized."`[static]`